Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| deegree 2.4 (2010/11/11 10:47 build-27-official)
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.deegree.datatypes.values
Class TypedLiteral

    java.lang.Object
      org.deegree.datatypes.values.TypedLiteral

All Implemented Interfaces:
  Serializable, Cloneable

    public class TypedLiteral

extends Object
implements Cloneable, Serializable

Since:
  2.0
Version:
  $Revision: 18195 $, 1.0. $Revision: 18195 $, $Date: 2009-06-18 17:55:39 +0200 (Do, 18. Jun 2009) $
Author:
  Andreas Poth, last edited by: $Author: mschneider $
See Also:
  Serialized Form

Field Summary
`protected URI` | `uom` Identifies the unit of measure of this literal input or output.

Constructor Summary
`TypedLiteral(String value, URI type)` initializes a `TypedLiteral` with `this.uom = null;`
`TypedLiteral(String value, URI type, URI uom)`

Method Summary
`Object` | `clone()`
`URI` | `getType()`
`URI` | `getUom()` returns the units a `TypedLiteral` is measured; maybe `null`
`String` | `getValue()`
`void` | `setType(URI type)`
`void` | `setUom(URI value)`
`void` | `setValue(String value)`

Methods inherited from class java.lang.Object
`equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### uom

    protected URI uom

  Identifies the unit of measure of this literal input or output. This unit of measure should be referenced for any numerical value that has units (e.g., "meters", but not a more complete reference system). Shall be a UOM identified in the Process description for this input or output.

Constructor Detail

### TypedLiteral

    public TypedLiteral(String value,
                        URI type)

  initializes a `TypedLiteral` with `this.uom = null;`

  Parameters:
    `value` -
    `type` -

### TypedLiteral

    public TypedLiteral(String value,
                        URI type,
                        URI uom)

Parameters:
  `value` -
  `type` -
  `uom` - units of measure

Method Detail

### getType

    public URI getType()

  Returns:
    Returns the type.

### setType

    public void setType(URI type)

  Parameters:
    `type` - The type to set.

### getValue

    public String getValue()

  Returns:
    Returns the value.

### setValue

    public void setValue(String value)

  Parameters:
    `value` - The value to set.

### getUom

    public URI getUom()

  returns the units a `TypedLiteral` is measured; maybe `null`

  Returns:
    the units a `TypedLiteral` is measured; maybe `null`

### setUom

    public void setUom(URI value)

  Parameters:
    `value` - to set from

### clone

    public Object clone()

  Overrides:
    `clone` in class `Object`
  See Also:
    `Object.clone()`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| deegree 2.4 (2010/11/11 10:47 build-27-official)
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

an open source project founded by lat/lon, Bonn, Germany.
For more information visit: http://www.deegree.org